# Uses of Class
javax.swing.JMenuBar

Packages that use JMenuBar
Package
Description
java.awt
Contains all of the classes for creating user interfaces and for painting graphics and images.
javax.swing
Provides a set of "lightweight" (all-Java language) components that, to the maximum degree possible, work the same on all platforms.
javax.swing.plaf.basic
Provides user interface objects built according to the Basic look and feel.

## Uses of JMenuBar in java.awt

Methods in java.awt with parameters of type JMenuBar
Modifier and Type
Method
Description
`void`
Desktop.`setDefaultMenuBar(JMenuBar menuBar)`
Sets the default menu bar to use when there are no active frames.

## Uses of JMenuBar in javax.swing

Fields in javax.swing declared as JMenuBar
Modifier and Type
Field
Description
`protected JMenuBar`
JRootPane.`menuBar`
The menu bar.
Methods in javax.swing that return JMenuBar
Modifier and Type
Method
Description
`JMenuBar`
JDialog.`getJMenuBar()`
Returns the menubar set on this dialog.
`JMenuBar`
JFrame.`getJMenuBar()`
Returns the menubar set on this frame.
`JMenuBar`
JInternalFrame.`getJMenuBar()`
Returns the current `JMenuBar` for this `JInternalFrame`, or `null` if no menu bar has been set.
`JMenuBar`
JRootPane.`getJMenuBar()`
Returns the menu bar from the layered pane.
`JMenuBar`
JInternalFrame.`getMenuBar()`
Deprecated.
As of Swing version 1.0.3, replaced by `getJMenuBar()`.
`JMenuBar`
JRootPane.`getMenuBar()`
Deprecated.
As of Swing version 1.0.3 replaced by `getJMenuBar()`.
Methods in javax.swing with parameters of type JMenuBar
Modifier and Type
Method
Description
`void`
JDialog.`setJMenuBar(JMenuBar menu)`
Sets the menubar for this dialog.
`void`
JFrame.`setJMenuBar(JMenuBar menubar)`
Sets the menubar for this frame.
`void`
JInternalFrame.`setJMenuBar(JMenuBar m)`
Sets the `menuBar` property for this `JInternalFrame`.
`void`
JRootPane.`setJMenuBar(JMenuBar menu)`
Adds or changes the menu bar used in the layered pane.
`void`
JInternalFrame.`setMenuBar(JMenuBar m)`
Deprecated.
As of Swing version 1.0.3 replaced by `setJMenuBar(JMenuBar m)`.
`void`
JRootPane.`setMenuBar(JMenuBar menu)`
Deprecated.
As of Swing version 1.0.3 replaced by `setJMenuBar(JMenuBar menu)`.

## Uses of JMenuBar in javax.swing.plaf.basic

Subclasses of JMenuBar in javax.swing.plaf.basic
Modifier and Type
Class
Description
`class`
`BasicInternalFrameTitlePane.SystemMenuBar`
This class should be treated as a "protected" inner class.
Fields in javax.swing.plaf.basic declared as JMenuBar
Modifier and Type
Field
Description
`protected JMenuBar`
BasicInternalFrameTitlePane.`menuBar`
The instance of `JMenuBar`.
`protected JMenuBar`
BasicMenuBarUI.`menuBar`
The instance of `JMenuBar`.
Methods in javax.swing.plaf.basic that return JMenuBar
Modifier and Type
Method
Description
`protected JMenuBar`
BasicInternalFrameTitlePane.`createSystemMenuBar()`
Returns a new instance of `JMenuBar`.